@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&display=swap');

#app {
    --secondary-font-family: "Roboto Slab", serif;

    .header-slot-container {
        font-family: var(--secondary-font-family);
    }

    .see-all-button {
        font-family: var(--secondary-font-family);
    }

    .style-bold .see-all-container {
        &:not(:has(.see-all-button-custom a)) {
            .header-slot-container {
                border-right: none;
                padding-right: unset;
            }
        }
    }

    .bold .see-all-container {
        &:not(:has(.see-all-button)) {
            .header-slot-container h2 {
                border-right: none;
                padding-right: unset;
            }
        }
    }
}



/* -------------------------------------- */
/* --------- START Header Edits --------- */
/* -------------------------------------- */

#cms-header {
    #h1 {
        .left {
            margin-left: 30px;

            .logo {
                height: 60px;
            }

            .school-info {
                .org-name {
                    @media screen and (min-width: 1500px) {
                        font-size: 32px;
                    }
                }
            }
        }

        .right {
            .menu-item:not(#searchbutton) {
                font-family: var(--secondary-font-family);

                .button-action-content {
                    font-weight: 700;

                    svg {
                        display: none;
                    }
                }
            }

            #searchbutton {
                background-color: var(--nav-color);
                border-radius: 5px;
                padding: 8px 15px;



                .button-action-content {
                    color: var(--bg-color);
                    display: flex;
                    column-gap: 10px;

                    .menu-field.sr-only {
                        display: block;
                        width: auto;
                        height: auto;
                        overflow: unset;
                        margin: unset;
                        clip-path: unset;
                        clip: unset;
                        position: static;
                        color: inherit;
                        font-family: var(--secondary-font-family);
                        font-weight: 700;
                        letter-spacing: 0;
                        order: 0;
                        padding-left: 0;
                        padding-right: 0;
                    }

                    svg {
                        fill: currentColor;
                        order: 1;
                    }
                }

                &:before {
                    content: '';

                }
            }
        }
    }
}

/* Tweaks for the mobile header */
@media screen and (max-width: 960px) {
    #h1 .mobile-header {
        padding: 25px 15px !important;
        align-items: center;
        justify-content: space-between;
        box-sizing: border-box;
    }

    #h1 .mobile-header .left-icon {
        position: static;
        transform: unset;
        margin-left: 15px;
        margin: unset;
        height: unset;
        order: 2;
    }

    #h1 .mobile-header .main-content {
        height: auto;
    }

    #h1 .mobile-header .school-info {
        padding-bottom: 0;
    }

    #h1 .mobile-header .logo {
        margin-bottom: 0;
        height: 28px;
    }

    #cms-header #h1 .mobile-header .main-content {
        flex-direction: row;
        width: calc(100% - 23px);
    }

    #cms-header #h1 .mobile-header .main-content .name .org-name {
        font-size: 16px;
    }

    #cms-header #h1 .mobile-header.menu-open .main-content {
        order: 1;
        padding-bottom: 25px;
    }

    #cms-header #h1 .mobile-header.menu-open .left-icon {
        order: 2;
        padding-bottom: 25px;
    }

    #cms-header #h1 .mobile-header.menu-open .menu-mobile {
        order: 3;
    }

    #cms-header #h1 .mobile-header.menu-open .menu-mobile {
        height: calc(100dvh + 48px);
        overflow-y: auto;
    }

    #cms-header #h1 .search-translate-buttons .menu-field {
        display: block;
        color: var(--mobile-menu-text-color) !important;
        font-weight: 400;
    }

    #cms-header #h1 #menubutton svg {
        fill: var(--bg-color) !important;
    }

    #cms-header #h1 #closebutton svg path,
    #cms-header #h1 #menubutton svg path {
        fill: var(--nav-color) !important;
    }

    #cms-header #h1 #languagebutton svg path,
    #cms-header #h1 #explore-header-collapsible svg path {
        fill: var(--mobile-menu-text-color) !important;
    }
}

/* end tweaks for the mobile header */

/* -------------------------------------- */
/* ---------- END Header Edits ---------- */
/* -------------------------------------- */



/* -------------------------------------- */
/* -------- START Buttons Edits --------- */
/* -------------------------------------- */
#app {
    --buttons-programs-overlap: 200px;

    @media screen and (max-width: 599px) {
        --buttons-programs-overlap: 0;
    }
}

.custom-programs-v12 {
    padding-bottom: var(--buttons-programs-overlap);
}

#custom-buttons-v6 {
    --buttons-v6-bg-color: #fff;
    --buttons-v6-text-color: #646464;

    background-color: transparent;
    margin-top: calc(-1 * var(--buttons-programs-overlap));



    .custom-buttons-v6-wrapper {
        background-color: var(--buttons-v6-bg-color);
        box-shadow: 0 4px 34px 0 rgba(0, 0, 0, 0.15);
        padding-top: 30px;
        padding-bottom: 50px;
        border-radius: 20px;
        max-width: calc(100% - 64px);

        @media screen and (max-width: 959px) {
            max-width: calc(100% - 40px);
        }

        @media screen and (max-width: 767px) {
            padding-top: 20px;
            padding-bottom: 30px;
        }
    }

    .button-group {
        background-color: #F1F1F1;
    }

    .button-group>div .button-item {
        .button-icon span {
            background-color: rgba(24, 67, 101, 0.18);
        }
    }

    .button-group>div .button-item:has(a:hover) {
        background-color: rgba(24, 67, 101, 0.18);
    }
}


/* -------------------------------------- */
/* --------- END Buttons Edits ---------- */
/* -------------------------------------- */



/* -------------------------------------- */
/* --------- START By The Numbers ---------- */
/* -------------------------------------- */
#app #by-the-numbers-v5 {
    --section-bg-color: #FFF;
    --section-title-color: var(--primary-color);
    --number-color: var(--primary-color-contrast);
    --subtitle-color: var(--primary-color-contrast);
    --items-backgrund-color: var(--primary-color);
    --items-text-color: var(--primary-color-contrast);
    --even-items-background-color: var(--secondary-color);
    --even-items-text-color: var(--secondary-color-contrast);

    .flip-cards-container {
        width: 100%;
        max-width: 100%;
    }

    .header-slot-container {
        margin: unset;
    }

    .flip-cards {

        .flip-card {
            height: auto;
            height: 380px;
        }

        .flip-card-front {
            .flip-card-number {
                padding-bottom: 5px;
                font-size: 48px;
                font-weight: 900;

                @media screen and (max-width: 1199px) {
                    font-size: 40px;
                }
            }

            .flip-card-subtitle {
                font-size: 26px;

                @media screen and (max-width: 1199px) {
                    font-size: 22px;
                }
            }
        }

        .flip-card-title {
            h3 {
                font-weight: 900;
                font-size: 36px;

                @media screen and (max-width: 1199px) {
                    font-size: 28px;
                }
            }
        }

        .flip-card-text,
        .flip-card-link {
            font-size: 20px;

            @media screen and (max-width: 1199px) {
                font-size: 16px;
            }
        }

        .flip-card-link {
            margin-top: 10px;
        }

        div:nth-child(3) {
            .flip-card {
                .flip-card-back {
                    background-color: #E8B30F;
                    color: var(--primary-color);

                }
            }
        }

        div:nth-child(4) {
            .flip-card {
                .flip-card-back {
                    background-color: #E95A37;
                    color: #001D34;

                }
            }
        }

        div:nth-child(5) {
            .flip-card {
                .flip-card-back {
                    background-color: #10987D;
                    color: #000;

                }
            }
        }
    }
}

/* -------------------------------------- */
/* --------- END By The Numbers ---------- */
/* -------------------------------------- */


/* -------------------------------------- */
/* --------- START News Section --------- */
/* -------------------------------------- */
#news-container:has(#news-n4) {
    padding-top: 20px;
    padding-bottom: 30px;
}

#news-n4 {
    @media screen and (min-width: 1500px) {
        .news-content {
            max-width: 92%;
            margin-left: auto;
            margin-right: auto;
        }
    }

    @media screen and (min-width: 1280px) {

        .news-content {
            justify-content: space-between;

            .story:nth-child(1) {
                width: 100%;
                display: flex;
                flex-direction: row;
                margin-bottom: 100px;

                @media screen and (max-width: 1499px) {
                    margin-bottom: 60px;
                }


                .news-snippet {
                    display: none;
                }

                .news-image-title-link {
                    display: flex;
                    flex-direction: row;
                    justify-content: space-between;
                    align-items: center;
                    width: 100%;

                    .news-image-container {
                        width: 55%;
                    }

                    .news-title {
                        width: 40%;
                        padding-top: 25px;
                        padding-bottom: 25px;

                        .news-snippet {
                            display: block;
                        }
                    }
                }
            }

            .story:nth-child(2) {
                width: 47%;
            }

            .story:nth-child(3) {
                width: 47%;
            }

            .story {
                margin-left: 0;
                margin-right: 0;

                .news-image {
                    border: none;

                    &:before {
                        display: none;
                    }
                }

                .image-hidden-wrapper {
                    border: none;
                    box-shadow: 4px 4px 10px 0 rgba(0, 0, 0, 0.25);
                    border-radius: 10px;
                    overflow: hidden;

                    img {
                        border-radius: 10px;
                    }
                }

                .news-snippet {
                    line-height: 1.4;

                    @media screen and (min-width: 1200px) {
                        font-size: 18px;
                    }

                    @media screen and (min-width: 1500px) {
                        font-size: 20px;
                    }
                }

                .news-image-title-link {

                    .news-title {
                        font-weight: 700;

                        @media screen and (min-width: 1200px) {
                            font-size: 24px;
                            line-height: 1.2;
                            color: #000;
                        }

                        @media screen and (min-width: 1500px) {
                            font-size: 30px;
                        }
                    }

                }
            }
        }
    }
}

#news-article .page-container-item .title {
    text-transform: none !important;
}
/* -------------------------------------- */
/* --------- END News Section  ---------- */
/* -------------------------------------- */



/* -------------------------------------- */
/* ---------  START Live Feed  ---------- */
/* -------------------------------------- */

#app .live-feed-lf8 {
    & .buttons-container {
        .slider-button {
            border-radius: 50%;

            svg {
                display: none;
            }

            &:after {
                content: '';
                border: solid black;
                border-width: 0 2px 2px 0;
                display: inline-block;
                padding: 3px;
                transform: rotate(135deg);
                -webkit-transform: rotate(135deg);
            }

            &:hover {
                background-color: #fff;
            }
        }
    }
}



/* -------------------------------------- */
/* ----------  END Live Feed  ----------- */
/* -------------------------------------- */

/* ------------------------------------- */
/* ----------  START Footer  ----------- */
/* ------------------------------------- */
.footer-column-main .footer-social-links {
    display: flex;
    gap: 10px;
}

#cms-footer #footer-f1 .footer-column-last,
#cms-footer #footer-f1 .footer-column-last>h2,
#cms-footer #footer-f1 .footer-column-last>a {
    display: none;
}

#cms-footer #footer-f1 .footer-columns ul li a,
#cms-footer #footer-f1 .footer-column-last ul:not(.footer-social-links) li a {
    display: block;
    padding-bottom: 11px;
    position: relative;
    isolation: isolate;
}

#cms-footer #footer-f1 .footer-columns ul li a::after,
.footer-column-last ul:not(.footer-social-links) li a::after {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background: var(--custom-separator-color, var(--secondary-color));
    content: no-close-quote;
    opacity: 0.7;
    z-index: -1;
    transition: all .35s ease-in-out;
}

#cms-footer #footer-f1 .footer-columns ul li a:hover::after,
.footer-column-last ul:not(.footer-social-links) li a:hover::after {
    opacity: 1;
}

#footer-f1 .row {
    gap: 3%;
    align-items: flex-start;
}

#cms-footer #footer-f1 .footer-columns,
.footer-column-last {
    padding-top: clamp(10px, 3.571vw, 50px);
}

#cms-footer .footer-column-main {
    position: relative;
    text-align: center;
    align-items: center;
    display: flex;
    flex-direction: column;
    isolation: isolate;
}

.footer-column-main::after {
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 1px;
    background: var(--custom-separator-color, var(--secondary-color));
    content: no-close-quote;
    opacity: 0.7;
    z-index: -1;
}

#cms-footer .apptegy-copyright {
    display: none;
}

#cms-footer #footer-f1 {
    padding-bottom: 40px;
}

#view-footer #footer-f1 .logo-wrapper {
    margin-bottom: 10px;
    text-align: center;
}

#cms-footer #footer-f1 h2 {
    font-weight: 700;
    font-size: 18px;
}

#cms-footer #footer-f1 .footer-columns ul li a,
.footer-column-last ul:not(.footer-social-links) li a {
    font-size: 14px;
}

#footer-f1 .footer-column-main {
    width: 280px;
    box-sizing: border-box;
}

.wrap-footer-columns {
    position: relative;
    flex-grow: 1;
    order: 2;
    display: flex;
    flex-wrap: wrap;
    max-width: calc(100% - 280px);
    padding-top: clamp(10px, 3.571vw, 50px);
    padding-left: 3%;
    isolation: isolate;
    gap: 3%;
}

.wrap-footer-columns::after {
    position: absolute;
    top: 0;
    left: -1px;
    height: 100%;
    width: 1px;
    background: var(--custom-separator-color, var(--secondary-color));
    content: no-close-quote;
    opacity: 0.7;
    z-index: -1;
}

#view-footer #cms-footer .wrap-footer-columns>div {
    box-sizing: border-box;
    padding-top: 0 !important;
    margin-bottom: 25px;
    width: 100%;
    flex-basis: 100%;
}

.wrap-footer-columns ul:empty {
    display: none;
}

#footer-f1 .row.wrap-row {
    gap: 0;
}

@media only screen and (min-width: 760px) {
    #view-footer #cms-footer .wrap-footer-columns>div {
        width: 48%;
        flex-basis: 48%;
    }
}

@media only screen and (min-width: 1180px) {
    #view-footer #cms-footer .wrap-footer-columns>div {
        width: 22%;
        flex-basis: 22%;
    }
}

@media only screen and (min-width: 1280px) {
    #cms-footer #footer-f1 h2 {
        font-size: 22px;
        line-height: 1.2;
    }

    #cms-footer #footer-f1 .footer-columns ul li a,
    .footer-column-last ul:not(.footer-social-links) li a {
        font-size: 16px;
    }
}

@media only screen and (max-width: 600px) {

    #cms-footer #footer-f1 .footer-column-main,
    #cms-footer #footer-f1 .footer-columns,
    #cms-footer #footer-f1 .footer-column-last {
        padding-right: 0;
        box-sizing: border-box;
        width: 100%;
    }

    .footer-column-main::after,
    .wrap-footer-columns::after {
        display: none;
    }

    #cms-footer #footer-f1 .row {
        justify-content: center;
    }

    .wrap-footer-columns {
        padding-left: 0;
        max-width: 100%;
    }

    #view-footer #cms-footer .wrap-footer-columns>div {
        padding-right: 0;
    }
}

/* ------------------------------------- */
/* -----------  END Footer  ------------ */
/* ------------------------------------- */

/* ------------------------------------------- */
/* --------  START Events [Suborgs]  --------- */
/* ------------------------------------------- */
#section-events.custom-section {
    --header-accent-color: #000;
    background-color: #F1F1F1;
    box-sizing: border-box;

    *,
    *::before,
    *::after {
        box-sizing: border-box;
    }
}

#section-events .container {
    max-width: 100%;
    margin: 0 auto;
}

#section-events .header {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 32px;
    gap: 1rem;

    .header-slot-container {
        margin-bottom: 0;
    }

    @media only screen and (min-width: 768px) {
        .header-slot-container {
            border-right: 4px solid var(--header-accent-color) !important;
            padding-right: 24px !important;
        }

        .see-all-button {
            margin-left: 0 !important;
        }
    }

    .see-all-button {
        color: #000;

        &:hover {
            border-bottom: 2px solid var(--header-accent-color);
            border-top: 2px solid transparent;
        }
    }

}

@media only screen and (max-width: 600px) {
    #section-events .button a {
        width: 100%;
        box-sizing: border-box;
        text-align: center;
        justify-content: center;
    }
}

#section-events .header {
    color: var(--primary-color);
}

#section-events #events-section {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5rem;
    align-items: flex-start;
    padding-inline: clamp(2rem, -15rem + 21.25vw, 6.25rem);
}

@media (min-width: 1024px) {
    #section-events #events-section {
        grid-template-columns: 1fr 1fr;
        gap: 1rem;
    }
}

@media only screen and (min-width: 1280px) {
    #section-events #events-section {
        grid-template-columns: 1fr 1fr 1fr;
        gap: 1.5rem;
    }
}

#section-events .event-item {
    display: flex;
    gap: 1rem;
    background-color: #FFF;
    border-radius: 15px;
    box-shadow: 10px 10px 25px 0px rgba(0, 0, 0, 0.30);
    padding: 10px;
    position: relative;
    transition: all .35s ease-in-out;

    &:hover {
        transform: scale(1.05);
    }
}

#section-events .event-item .event-details {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#section-events .event-item .event-details a {
    text-decoration: none;
    color: #646464;

    &::after {
        position: absolute;
        inset: 0;
        z-index: 1;
        content: '';
    }

    &:hover {
        color: var(--primary-color);
    }
}

#section-events .event-item .event-details h3 {
    font-size: clamp(20px, calc((20 / 390) * 100dvw), 22px);
    font-weight: 700;
    color: currentColor;
    text-decoration: none;
    padding: 0;
}

#section-events .event-item .event-item__time {
    display: none;
}

#section-events .event-item .date {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 2px solid;
    border-color: var(--secondary-color);
    padding: 12px;
    width: 100px;
    border-radius: 13px;
}

#section-events .event-item .date .start-weekday,
#section-events .event-item .date .end-weekday {
    color: var(--primary-color);
    font-weight: 400;
}

#section-events .event-item .date .start-date,
#section-events .event-item .date .end-date {
    color: var(--primary-color);
    font-size: clamp(34px, calc((34 / 390) * 100dvw), 42px);
    font-weight: 700;
    padding: 0;
    line-height: 1;
}

#section-events .event-item .date .start-month,
#section-events .event-item .date .end-month {
    color: var(--primary-color);
    font-size: clamp(16px, calc((16 / 390) * 100dvw), 18px);
    font-weight: 400;
}

.event-item__date {

    & .date-separator,
    & .end-month,
    & .end-date,
    & .end-weekday {
        display: none;
    }
}

@media only screen and (max-width: 600px) {

    #section-events.style-light .see-all-top,
    &.style-sydney .see-all-top {

        .see-all-button,
        .see-all-button-custom a {
            display: none;
        }
    }
}

/* ------------------------------------------- */
/* ---------  END Events [Suborgs]  ---------- */
/* ------------------------------------------- */
